summaryrefslogtreecommitdiffstats
path: root/debian/icingaweb2-module-director.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 12:43:12 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 12:43:12 +0000
commit620245b255a78a4de7a702a98f8e576bf0d9db5d (patch)
tree74bb38da3bfefab789271d250c429a303869a5b6 /debian/icingaweb2-module-director.postrm
parentAdding upstream version 1.10.2. (diff)
downloadicingaweb2-module-director-620245b255a78a4de7a702a98f8e576bf0d9db5d.tar.xz
icingaweb2-module-director-620245b255a78a4de7a702a98f8e576bf0d9db5d.zip
Adding debian version 1.10.2-1.debian/1.10.2-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/icingaweb2-module-director.postrm')
-rw-r--r--debian/icingaweb2-module-director.postrm23
1 files changed, 23 insertions, 0 deletions
diff --git a/debian/icingaweb2-module-director.postrm b/debian/icingaweb2-module-director.postrm
new file mode 100644
index 0000000..c4794ec
--- /dev/null
+++ b/debian/icingaweb2-module-director.postrm
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ remove)
+ # remove user
+ userdel _director > /dev/null 2>&1 || true
+ ;;
+
+ purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0